@import "src/sass/abstracts/abstracts";

:host(.disabled) {
  .no-item {
    color: $value-disable;
  }
}

:host {
  .content {
    display: grid;
    grid-template-columns: 1fr;
    padding-top: 20px;
  }

  table {
    width: 100%;
    border-spacing: 0;

    thead {
      background-color: $primary-color;
      color: $white;

      tr > th {
        padding: 4px 0;

        &.action {
          width: 40px;
        }
      }
    }

    tbody {
      tr {
        &:nth-child(odd) {
          background-color: $background-grey;
        }

        > td {
          &.object {
            padding: 5px;

            ::ng-deep .mat-form-field-wrapper {
              margin-bottom: -1.25em;
            }
          }
        }
      }
    }
  }

  .no-item {
    padding: 20px 10px;
    text-align: center;
    color: $light-grey;
    font-size: 16px;
  }
}

@include isInDarkMode {
  :host(.disabled) {
    .no-item {
      color: $dark-mode-text-disabled;
    }
  }

  :host {
    table {
      tbody {
        tr {
          &:nth-child(odd) {
            background-color: $dark-mode-toolbar;
          }
        }
      }
    }

    .no-item {
      background-color: $dark-mode-toolbar;
      color: $dark-mode-text-color;
    }
  }
}
